#
# spec file for package python-dep-logic
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-dep-logic
Version:        0.4.10
Release:        1.1
Summary:        Python dependency specifications supporting logical operations
License:        Apache-2.0
URL:            https://github.com/pdm-project/dep-logic
Source:         https://files.pythonhosted.org/packages/source/d/dep-logic/dep_logic-%{version}.tar.gz
BuildRequires:  %{python_module pdm-backend}
BuildRequires:  %{python_module pip}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module packaging >= 22}
BuildRequires:  %{python_module pytest}
# /SECTION
BuildRequires:  fdupes
Requires:       python-packaging >= 22
BuildArch:      noarch
%python_subpackages

%description
Python dependency specifications supporting logical operations.

This library allows logic operations on version specifiers and environment markers.

%prep
%autosetup -p1 -n dep_logic-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%{python_sitelib}/dep_logic
%{python_sitelib}/dep_logic-%{version}.dist-info

%changelog
* Thu Jan 23 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 0.4.10
  * Don't fail when glibc is not found
* Fri Sep 27 2024 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.4.9:
  * Handle unknown platform
  * Parsing generic and freebsk platforms
  * Support generic platforms
  * Evaluate free threaded wheel tags
  * Support risvc64 arch
  * Add python_version to markers if requires_python is ==
  * Ignore invalid python tags
  * Allow not set env criteria and compatibility check for env spec
  * Str representation of env spec
  * Platform parsing missing arch part
  * Markers for env spec
  * Add normalized representation for platform
* Sat Jun 29 2024 Dirk Müller <dmueller@suse.com>
- update to 0.3.0:
  * New module dep_logic.tags for compatibility check with wheel
    tags
  * Use the same marker environment for current platform
* Thu Mar  7 2024 Andreas Schneider <asn@cryptomilk.org>
- Use sle15_python_module_pythons
* Tue Feb 27 2024 Markéta Machová <mmachova@suse.com>
- Initial packaging (v0.2.0), needed by pdm
